Rock
Down On EarthTurnover
US 2026 (none)Винил. Пластинка; LP; Альбом; Лимитированное издание
Plastic DeathGlass Beach
US 2024 (Run For Cover Records (2) RFC-252)Винил. Пластинка; 12"; 45 RPM; Альбом
An Open Letter To The SceneWalter Schreifels
US 2016 (Run For Cover Records (2) RFC:151)Винил. Пластинка; LP; Альбом; Лимитированное издание
All You EmbraceOne Step Closer
US 2024 (Run For Cover Records (2) RFC270)Винил. Пластинка; LP; Альбом; Лимитированное издание
Grad LifeGraduating Life
US 2019 (Pure Noise Records PNE232)Винил. Пластинка; LP; Альбом; Лимитированное издание
PangsConstant Lovers
USA & Canada 2018 (Fever Rash Music CL02)Винил. Пластинка; LP; Альбом; Стерео
Squirrel BaitSquirrel Bait
US 1985 (Homestead Records HMS028)Винил. Пластинка; 12"; 33 ⅓ RPM; EP
SoarSamiam
US 1991 (New Red Archives NRA22)Винил. Пластинка; LP; Альбом
NoveltyJawbox
US 2023 (Dischord Records DIS69V)Винил. Пластинка; LP; Альбом; Ремастер
TwitchJebediah
Australia 1996 (Murmur MATTV035)Винил. Пластинка; 7"
Harpoon / ClintSomething For Kate, Jebediah
Australia 1998 (Murmur MATTV074)Винил. Пластинка; 7"; 45 RPM; Сингл
Skag HeavenSquirrel Bait
US 1987 (Homestead Records HMS 072)Винил. Пластинка; LP; Альбом
BrutalismIdles
UK & Europe 2017 (Balley Records BALLEY001)Винил. Пластинка; LP; Альбом; Лимитированное издание
Coral FangThe Distillers
US 2004 (Tarantulas Records TAR 008)Винил. Пластинка; Альбом; LP; Лимитированное издание
Nimrod.Green Day
Germany 1997 (Reprise Records 9362-46794-1)Винил. Пластинка; LP; Альбом
12th House RockNarrow Head
US 2020 (Run For Cover Records (2) RFC215)Винил. Пластинка; LP; Альбом
Rare Single CollectionWeezer
Japan (Not On Label (Weezer) none)Винил. Пластинка; LP; Сборник; Промо
Dongs Of SevotionSmog
UK 2000 (Domino WIGLP76)Винил. Пластинка; LP; Альбом
Royal BloodRoyal Blood
UK & Europe 2014 (Black Mammoth Records 825646278541)Винил. Пластинка; LP; Альбом; Лимитированное издание
AthaleticsWavelets
US 2011 (Tiny Engines TE109)Винил. Пластинка; LP; 45 RPM; Альбом
Reggae, Rock
Stand By Your VanSublime
US 2002 (77 Records (8) ER-2002-12)Винил. Пластинка; LP; Лимитированное издание; Picture Disc
LP2Sunny Day Real Estate
US 2009 (Sub Pop SP 852)Винил. Пластинка; LP; Альбом; Лимитированное издание
HestiaThe Rumjacks
Australia 2021 (Four Four Music 3541068)Винил. Пластинка; LP; Альбом; Лимитированное издание
The Hands That ThieveStreetlight Manifesto
US 2017 (Pentimento Music Company none)Винил. Пластинка; LP; Альбом; Переиздание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.